As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 46068 - even support for focus event doesn't worked
: even support for focus event doesn't worked
Status: VERIFIED FIXED
suntrak-n6
:
Product: Core Graveyard
Classification: Graveyard
Component: Java APIs to WebShell (show other bugs)
: Trunk
: x86 Other
: P3 normal (vote)
: ---
Assigned To: Ashu Kulkarni
: geetha.vaidyanaathan
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-21 02:46 PDT by Vladimir Strigun
Modified: 2012-04-09 22:27 PDT (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch - diff -u WindowControlImpl.java (1.10 KB, patch)
2000-09-12 13:12 PDT, Ashu Kulkarni
no flags Details | Diff | Splinter Review
cvs diff -u of WindowControlImpl.java (1.11 KB, patch)
2001-02-13 17:39 PST, Ashu Kulkarni
no flags Details | Diff | Splinter Review

Description User image Vladimir Strigun 2000-07-21 02:46:39 PDT
When we call any of these two methods of WindowControl interface
 void removeFocus()                  
 void setFocus() 
and try to catch the events by regestring event listeners in JavaScript
e.g. window.addEventListener("focus", onFocusGained, false))
in the preliminarily loaded page it doesn't work (no events are caught).
Supposed reason: Even support is unimplemented yet, so code must thrown a 
UNIMPLEMENTED exception
Comment 1 User image Asa Dotzler [:asa] 2000-08-30 09:17:09 PDT
updating product, component and setting default owner.
Comment 2 User image Johnny Stenback (:jst, jst@mozilla.com) 2000-08-31 03:37:48 PDT
Please attach a concrete minimized testcase that points out the problem here,
thanks!
Comment 3 User image Johnny Stenback (:jst, jst@mozilla.com) 2000-09-07 19:16:17 PDT
Still no testcase here, reassigning to joki who might know why/what/when about
this...
Comment 4 User image Vladimir Strigun 2000-09-11 07:55:20 PDT
Change component, QA contact and assign to Ed Burns - default module owner for 
Webclient
Comment 5 User image Vladimir Strigun 2000-09-11 07:56:56 PDT
Reassing to Ed Burns
Comment 6 User image edburns 2000-09-12 12:31:19 PDT
Reassign to Ashu for investigation.
Comment 7 User image Ashu Kulkarni 2000-09-12 12:55:36 PDT
SetFocus funtion in WindowControl calls into the Mozilla
nsIBaseWindow->SetFocus() function. If there is a disconnect here, it is most
probably because something here was broken in the embedding APIs (that gave
access to nsIBaseWindow object) at the time M16 was released.

RemoveFocus - support for this was removed from M15 onwards. Hence there is no
Embedding API by which this functionality can be exposed to the Webclient users.
I will make this throw an UnImplementedException and check in the change. Will
also follow up with Mozilla Embedding folks to find out if this functionality
might come back later.

_Ashu

Comment 8 User image Ashu Kulkarni 2000-09-12 13:12:41 PDT
Created attachment 14516 [details] [diff] [review]
Proposed patch - diff -u WindowControlImpl.java
Comment 9 User image Ashu Kulkarni 2000-09-12 13:14:51 PDT
I have a temporary patch for this that throws UnImplementedException for these 2
methods. Will check in once I have r=a=edburns.

_Ashu
Comment 10 User image edburns 2000-09-12 13:37:30 PDT
r=a=edburns
Comment 11 User image Ashu Kulkarni 2000-09-12 13:47:19 PDT
Checked patch into cvs that throws UnImplementedException. I wont close this Bug
as yet. After we sync up with the PR3 branch, I'll check if this persists...and
only then will I close/work on this bug.

_Ashu
Comment 12 User image geetha.vaidyanaathan 2000-11-17 14:07:52 PST
Adding Status white board keyword to track all existing Webclient bugs
Comment 13 User image Ashu Kulkarni 2001-02-13 17:39:06 PST
Created attachment 25230 [details] [diff] [review]
cvs diff -u of WindowControlImpl.java
Comment 14 User image Ashu Kulkarni 2001-02-13 17:45:15 PST
I have changed WindowControlImpl.java so that it calls into Native code 
(nsIBaseWindow->SetFocus)when SetFocus is called (instead of throwing 
UnImplementedException). I have also changed the comment in the Exception 
thrown when RemoveFocus is called to indicate that RemoveFocus is no longer 
supported by Mozilla. This function does not make much sense anyways 
considering that SetFocus is provided to Embedders who wish to have the ability 
to TAB through the page being displayed. We should seriously consider removing 
this Function from the API.

QA, pls test whether SetFocus works with your API tests using the 
Netscape6_0_OEM_Branch mozilla codebase. I know this didn't work with M16. 

Ed, do I have ra=edburns for checking this in?

thnx
_Ashu
Comment 15 User image edburns 2001-02-15 17:55:22 PST
Looks good.  r=edburns
Comment 16 User image Ashu Kulkarni 2001-04-16 14:20:50 PDT
SetFocus seems to work and RemoveFocus is no longer supported in Gecko 
Embedding. Would the reporter pls verify that the SetFocus works. I am closing 
this Bug.
Comment 17 User image Vladimir Strigun 2001-09-10 06:11:51 PDT
Mark this bug as verified.
Verified with Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:0.9.1) Gecko/20010910
Comment 18 User image Vladimir Strigun 2001-09-10 06:12:25 PDT
Change cc

Note You need to log in before you can comment on or make changes to this bug.